Bug 1477957 - all links got 404 in "oc explain pods" and other resource types
all links got 404 in "oc explain pods" and other resource types
Status: VERIFIED
Product: OpenShift Container Platform
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
3.6.0
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Fabiano Franz
Weihua Meng
: NeedsTestCase
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-03 06:13 EDT by Weihua Meng
Modified: 2018-04-25 06:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Weihua Meng 2017-08-03 06:13:35 EDT
Description of problem:
all links got 404 in "oc explain pods" and other resource types

Version-Release number of selected component (if applicable):
openshift v3.6.173.0.2

How reproducible:
Always

Steps to Reproduce:
1. oc explain pods
2. open any link

Actual results:
404 page not found

Expected results:
right web page displayed

Additional info:
not only resource type pods, but other resource types have this kind of issue.
Comment 1 Weihua Meng 2017-08-03 21:29:41 EDT
http://releases.k8s.io/HEAD/docs/devel/api-conventions.md#resources
http://releases.k8s.io/HEAD/docs/devel/api-conventions.md#types-kinds
http://releases.k8s.io/HEAD/docs/devel/api-conventions.md#metadata
http://releases.k8s.io/HEAD/docs/devel/api-conventions.md#spec-and-status

# oc explain pods
DESCRIPTION:
Pod is a collection of containers that can run on a host. This resource is created by clients and scheduled onto hosts.

FIELDS:
   apiVersion	<string>
     APIVersion defines the versioned schema of this representation of an
     object. Servers should convert recognized schemas to the latest internal
     value, and may reject unrecognized values. More info:
     http://releases.k8s.io/HEAD/docs/devel/api-conventions.md#resources

   kind	<string>
     Kind is a string value representing the REST resource this object
     represents. Servers may infer this from the endpoint the client submits
     requests to. Cannot be updated. In CamelCase. More info:
     http://releases.k8s.io/HEAD/docs/devel/api-conventions.md#types-kinds

   metadata	<Object>
     Standard object's metadata. More info:
     http://releases.k8s.io/HEAD/docs/devel/api-conventions.md#metadata

   spec	<Object>
     Specification of the desired behavior of the pod. More info:
     http://releases.k8s.io/HEAD/docs/devel/api-conventions.md#spec-and-status

   status	<Object>
     Most recently observed status of the pod. This data may not be up to date.
     Populated by the system. Read-only. More info:
     http://releases.k8s.io/HEAD/docs/devel/api-conventions.md#spec-and-status
Comment 2 Xingxing Xia 2018-01-26 04:06:25 EST
Checked in both v3.7.26 and v3.9.0-0.24.0 env, now `oc explain` gets such links $ oc explain pods
DESCRIPTION:
Pod is a collection of containers that can run on a host. This resource is created by clients and scheduled onto hosts.

FIELDS:
   kind	<string>
     Kind is a string value representing the REST resource this object
     represents. Servers may infer this from the endpoint the client submits
     requests to. Cannot be updated. In CamelCase. More info:
     https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

   metadata	<Object>
     Standard object's metadata. More info:
     https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

   spec	<Object>
     Specification of the desired behavior of the pod. More info: https://
     git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status/

   status	<Object>
     Most recently observed status of the pod. This data may not be up to date.
     Populated by the system. Read-only. More info: https://git.k8s.io/community/
     contributors/devel/api-conventions.md#spec-and-status/

   apiVersion	<string>
     APIVersion defines the versioned schema of this representation of an
     object. Servers should convert recognized schemas to the latest internal
     value, and may reject unrecognized values. More info:
     https://git.k8s.io/community/contributors/devel/api-conventions.md#resources


Now, all links can be accessed. One minor nit is, some links are broken into 2 lines, not easy to copy and access like comment 1 all starting in new line after ‘More info:’. It is better to fix this
Comment 3 Xingxing Xia 2018-01-26 04:25:01 EST
Hmm, doing some comparison, found only v3.7.26 server can return broken-line link and v3.9.0-0.24.0 server can always return one-line link.
And pasting broken-line link in browser address bar, the bar makes it always one-line.
From this perspective, it is not big problem. Bug could move to ON_QA if no other concern.
Comment 4 Weihua Meng 2018-04-25 06:37:10 EDT
Fixed.
openshift v3.9.24
openshift v3.10.0-0.28.0

Note You need to log in before you can comment on or make changes to this bug.